//
//  AppDelegate.m
//  IOS Coordinate
//
//  Created by Christopher on 21/4/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "AppDelegate.h"

@interface AppDelegate ()

@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen]bounds]];
    self.window.backgroundColor = [UIColor whiteColor];
    
    UIView *view1 = [[UIView alloc]init];
    view1.frame = CGRectMake(0, 0, 320, 570);
    view1.backgroundColor = [UIColor yellowColor];
    [self.window addSubview:view1];
    [view1 release];
    
    UIView *view2 = [[UIView alloc]initWithFrame:CGRectMake(100, 100, 120, 200)];
    view2.backgroundColor = [UIColor cyanColor];
    [view1 addSubview:view2];
    [view2 release];
    NSLog(@"view2.frame.origin.x = %.1f",view2.frame.origin.x);
    NSLog(@"view2.frame.origin.y = %.1f",view2.frame.origin.y);
    NSLog(@"view2.bounds.origin.x = %.1f",view2.bounds.origin.x);
    NSLog(@"view2.bounds.origin.y = %.1f",view2.bounds.origin.y);
    
    UIView *view3 = [[UIView alloc]initWithFrame:CGRectMake(50, 50, 100, 100)];
    view3.backgroundColor = [UIColor blackColor];
    [view1 addSubview:view3];
    [view1 bringSubviewToFront:view2];
    [view3 release];
    NSLog(@"view3.frame.origin.x = %.1f",view3.frame.origin.x);
    NSLog(@"view3.frame.origin.y = %.1f",view3.frame.origin.y);
    NSLog(@"view3.bounds.origin.x = %.1f",view3.bounds.origin.x);
    NSLog(@"view3.bounds.origin.y = %.1f",view3.bounds.origin.y);

    [self.window makeKeyAndVisible];
    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
