//
//  AppDelegate.m
//  IOS层次关系
//
//  Created by Christopher on 21/4/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "AppDelegate.h"

@interface AppDelegate ()

@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    self.window = [[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen]bounds]] autorelease];
    self.window.backgroundColor = [UIColor whiteColor];
    //创建view1视图
    UIView *view1 = [[UIView alloc]initWithFrame:CGRectMake(100, 100,  120, 160)];
    view1.tag = 1;
    view1.backgroundColor = [UIColor yellowColor];
    [self.window addSubview:view1];
    //创建view2视图
    UIView *view2 = [[UIView alloc]initWithFrame:CGRectMake(110, 150, 100, 50)];
    view2.tag = 2;
    view2.backgroundColor = [UIColor blueColor];
    [self.window addSubview:view2];
    //创建改变视图层次按钮1
    UIButton *button1 = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    button1.frame = CGRectMake(120, 270, 100, 30);
    button1.backgroundColor  = [UIColor whiteColor];
    [button1 setTitle:@"view1 top" forState:UIControlStateNormal];
    [button1 addTarget:self action:@selector(ViewChange1)
      forControlEvents:UIControlEventTouchUpInside];
    [self.window addSubview:button1];
    //创建改变视图层次按钮2
    UIButton *button2 = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    button2.frame = CGRectMake(120, 320, 100, 30);
    button2.backgroundColor  = [UIColor whiteColor];
    [button2 setTitle:@"view2 top" forState:UIControlStateNormal];
    [button2 addTarget:self action:@selector(ViewChange2)
      forControlEvents:UIControlEventTouchUpInside];
    [self.window addSubview:button2];
    //创建改变颜色按钮
    UIButton *button3 = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    button3.frame = CGRectMake(120, 370, 100, 30);
    button3.backgroundColor  = [UIColor whiteColor];
    [button3 setTitle:@"change color" forState:UIControlStateNormal];
    [button3 addTarget:self action:@selector(ViewChange3) forControlEvents:UIControlEventTouchUpInside];
    [self.window addSubview:button3];
    
    [view1 release];
    [view2 release];
    [self.window makeKeyAndVisible];
    return YES;
}

- (void)ViewChange1
{
    UIView *view = [self.window viewWithTag:1];
    [self.window bringSubviewToFront:view];
}

- (void)ViewChange2
{
    UIView *view = [self.window viewWithTag:2];
    [self.window bringSubviewToFront:view];
}

- (void)ViewChange3
{
    UIView *view = [self.window viewWithTag:2];
    view.backgroundColor =[UIColor greenColor];
}

- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
