//
//  ViewController.m
//  UIActivityIndicatorView
//
//  Created by Christopher on 8/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    view = [[UIActivityIndicatorView alloc]initWithActivityIndicatorStyle:UIActivityIndicatorViewStyleGray];
    view.center = CGPointMake(150, 200);
    [view startAnimating];
    [self.view addSubview:view];
    
    [[UIApplication sharedApplication]setNetworkActivityIndicatorVisible:YES];
    UIButton *button = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    [button setTitle:@"信息加载完成" forState:UIControlStateNormal];
    button.frame = CGRectMake(100, 300, 100, 40);
    [button addTarget:self action:@selector(hide)
     forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:button];
}

- (void)hide
{
    [[UIApplication sharedApplication]setNetworkActivityIndicatorVisible:NO];
    [view stopAnimating];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
