//
//  ViewController.m
//  CALayer
//
//  Created by Christopher on 7/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    //创建视图
    UIView *baseView = [[UIView alloc]initWithFrame:[UIScreen mainScreen].applicationFrame];
    baseView.backgroundColor = [UIColor blueColor];
    [self.view addSubview:baseView];
    
    //设置视图的layer属性
    baseView.layer.backgroundColor = [UIColor orangeColor].CGColor;
    baseView.layer.cornerRadius = 20.0f;
    
    //创建子layer层
    CALayer *Mylayer = [CALayer layer];
    Mylayer.frame = CGRectMake(50, 100, 200, 100);
    Mylayer.shadowOffset = CGSizeMake(0, 3);//设置偏移量
    Mylayer.shadowRadius = 5.0;//设置半径
    Mylayer.shadowColor =[UIColor blackColor].CGColor;
    Mylayer.shadowOpacity = 0.8;//设置阴影的不透明度

    Mylayer.backgroundColor = [UIColor redColor].CGColor;
    Mylayer.cornerRadius = 10.0f;
    [baseView.layer addSublayer:Mylayer];
    
    CALayer *imageLayer =[CALayer layer];
    imageLayer.frame = Mylayer.bounds;
    imageLayer.cornerRadius =10.0f;
    imageLayer.contents =(id)[UIImage imageNamed:@"uk.jpg"].CGImage;
    imageLayer.masksToBounds =YES;
    [Mylayer addSublayer:imageLayer];

}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
