//
//  ViewController.m
//  UIActionSheet+UIAlertView
//
//  Created by Christopher on 8/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    UIButton *button = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    button.frame = CGRectMake(100, 200, 100, 40);
    [button setTitle:@"下载信息" forState:UIControlStateNormal];
    [button addTarget:self action:@selector(download)
     forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:button];
    
    UIActionSheet *actionsheet = [[UIActionSheet alloc]initWithTitle:@"确定要删除吗？" delegate:nil cancelButtonTitle:@"取消" destructiveButtonTitle:@"确定" otherButtonTitles:nil, nil];
    [actionsheet showInView:self.view];
}

- (void)download
{
    UIAlertView *alertView = [[UIAlertView alloc]initWithTitle:@"下载" message:@"确定下载?" delegate:self cancelButtonTitle:@"否" otherButtonTitles:@"是", nil];
    [alertView show];
}

- (void)alertView:(UIAlertView *)alertView clickedButtonAtIndex:(NSInteger)buttonIndex
{
    if(buttonIndex == 1){
        UIAlertView *alertView = [[UIAlertView alloc]initWithTitle:@"正在下载..." message:nil delegate:self cancelButtonTitle:nil otherButtonTitles:nil];
        [alertView show];
        UIActivityIndicatorView *activeView = [[UIActivityIndicatorView alloc]initWithActivityIndicatorStyle:UIActivityIndicatorViewStyleWhiteLarge];
        activeView.center = CGPointMake(140,70);
        [activeView startAnimating];
        [alertView addSubview:activeView];
    }
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
