//
//  ViewController.m
//  UILabel+UIButton
//
//  Created by Christopher on 8/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    //创建UILabel实例
    label = [[UILabel alloc]initWithFrame:CGRectMake(90, 70, 150, 30)];
    label.backgroundColor = [UIColor blackColor];
    label.font = [UIFont systemFontOfSize:30];
    [self.view addSubview:label];
    //创建UIButton实例
    button = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    button.frame = CGRectMake(90, 100, 150, 80);
    //添加按钮单击事件
    [button addTarget:self action:@selector(click) forControlEvents:UIControlEventTouchUpInside];

    [button setTitle:@"button" forState:UIControlStateNormal];
    [button setTitleColor:[UIColor grayColor] forState:UIControlStateHighlighted];
    [self.view addSubview:button];
    self.view.backgroundColor = [UIColor whiteColor];
}

//实现按钮单击事件
- (void)click
{
    label.text = @"hello";
    label.textColor = [UIColor whiteColor];
    label.textAlignment = NSTextAlignmentCenter;
    [button setTitle:@"已显示信息" forState:UIControlStateNormal];
    button.enabled = NO;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
