//
//  ViewController.m
//  UISegmentedControl
//
//  Created by Christopher on 8/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    label = [[UILabel alloc]initWithFrame:CGRectMake(60, 200, 240, 40)];
    [self.view addSubview:label];
    
    NSArray *items = @[@"新闻",@"视频",@"搜索"];
    segmented = [[UISegmentedControl alloc]initWithItems:items];
    segmented.frame = CGRectMake(60, 100, 200, 40);
    segmented.segmentedControlStyle = UISegmentedControlStyleBar;
    [segmented setWidth:30.0f forSegmentAtIndex:1];
    segmented.selectedSegmentIndex = 1;
    [segmented insertSegmentWithTitle:@"图片" atIndex:2
                             animated:YES];
    [segmented addTarget:self action:@selector(value:)
        forControlEvents:UIControlEventValueChanged];

    [self.view addSubview:segmented];
}

- (void)value:(UISegmentedControl *)segmented
{
    NSString *labeltext = [NSString stringWithFormat:@"现在选择的是第%ld个分段位置",segmented.selectedSegmentIndex+1];
    label.text = labeltext;
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
