//
//  ViewController.m
//  UITextField
//
//  Created by Christopher on 8/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    //创建用户标签
    username = [[UILabel alloc]initWithFrame:CGRectMake(40, 80, 100, 20)];
    username.font = [UIFont systemFontOfSize: 18.0f];
    username.text = @"username";
    username.textColor = [UIColor blackColor];
    [self.view addSubview:username];
    //创建用户文本框
    UserName = [[UITextField alloc]initWithFrame:CGRectMake(150, 70, 150, 40)];
    UserName.font = [UIFont fontWithName:@"OriyaSangamMN-Bold" size:18.0f];
    [UserName setBorderStyle:UITextBorderStyleRoundedRect];
    UserName.clearButtonMode = UITextFieldViewModeAlways;
    UserName.returnKeyType = UIReturnKeyDone;
    UserName.placeholder = @"输入用户名";
    [self.view addSubview:UserName];
    
    //创建用户密码标签
    userpsw = [[UILabel alloc]initWithFrame:CGRectMake(40, 150, 100, 20)];
    userpsw.font = [UIFont fontWithName:@"OriyaSangamMN-Bold" size:18.0f];
    userpsw.text = @"password";
    [self.view addSubview:userpsw];
    //创建用户密码文本框
    UserPsw = [[UITextField alloc]initWithFrame:CGRectMake(150, 140, 150, 40)];
    UserPsw.font = [UIFont fontWithName:@"OriyaSangamMN-Bold" size:18.0f];
    [UserPsw setBorderStyle:UITextBorderStyleRoundedRect];
    UserPsw.clearButtonMode = UITextFieldViewModeAlways;
    UserPsw.keyboardType = UIKeyboardTypeNumberPad;
    UserPsw.placeholder = @"输入密码";
    UserPsw.secureTextEntry = YES;
    [self.view addSubview:UserPsw];
    
    UITapGestureRecognizer *tapRecognizer = [[UITapGestureRecognizer alloc]
                                             initWithTarget:self action:@selector(handleBackgroundTap:)];
    [self.view addGestureRecognizer:tapRecognizer];
    
}

- (void)handleBackgroundTap:(UITapGestureRecognizer *)sender
{
    [UserPsw resignFirstResponder];
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField
{
    [textField resignFirstResponder];
    return YES;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
